Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1806362 - Calibre depends on udisks which is not a requirement in the .spec file
Summary: Calibre depends on udisks which is not a requirement in the .spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 31
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 02:24 UTC by edd
Modified: 2020-03-16 20:35 UTC (History)
5 users (show)

Fixed In Version: calibre-4.12.0-1.fc31 calibre-4.12.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-15 13:42:21 UTC
Type: Bug


Attachments (Terms of Use)

Description edd 2020-02-24 02:24:17 UTC
Description of problem:
Some default calibre device interface plugins depend on udisks or udisks2, neither of which are listed as requirements in the .spec file.

Version-Release number of selected component (if applicable): 4.11.2-1


How reproducible:
By running Fedora without udisks2, ereaders fail to be detected.

Steps to Reproduce:
1. Run Calibre without udisks2
2. Select Preferences > Miscellaneous > Debug device detection

Actual results:
...
OSError: UDisks not available on your system
...

Comment 1 Kevin Fenzi 2020-02-26 00:00:18 UTC
Yep. Good catch. 

I've added the dep now. I'd prefer to wait until the next release comes out to push it to non rawhide, is that ok? Or did you want an update sooner?

Comment 2 Fedora Update System 2020-03-07 02:07:24 UTC
FEDORA-2020-65a5d0462d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-65a5d0462d

Comment 3 Fedora Update System 2020-03-07 17:17:07 UTC
calibre-4.12.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-df465db1c1

Comment 4 Fedora Update System 2020-03-08 01:37:20 UTC
calibre-4.12.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-65a5d0462d

Comment 5 Fedora Update System 2020-03-15 13:42:21 UTC
calibre-4.12.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-03-16 20:35:08 UTC
calibre-4.12.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.